Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.common
Class T3User

    java.lang.Object
      weblogic.security.acl.DefaultUserInfoImpl
          weblogic.common.T3User

All Implemented Interfaces:
  Serializable, Principal, UserInfo

Deprecated. Deprecated in WebLogic Server 7.0.

    public final class T3User

extends DefaultUserInfoImpl

The T3User object is an implementation of weblogic.security.acl.defaultUserInfo that is backward compatible with WebLogic versions before 2.6.

See Also:
  `T3Client`, Serialized Form

Field Summary
`static T3User` | `GUEST` Deprecated. A default T3User.

Fields inherited from class weblogic.security.acl.DefaultUserInfoImpl
`certificates, id, password, realmName`

Constructor Summary
`T3User()` Deprecated. Constructs an empty T3User object and initializes all its variables to empty strings.
`T3User(Certificate c)` Deprecated. Constructs a T3User with the specified certificate.
`T3User(String username, String password)` Deprecated. Constructs a T3User with the specified username and password.

Method Summary
`boolean` | `equals(Object that)` Deprecated. Checks password equality between this T3User and the specified object (that T3User).
`boolean` | `equals(String otherId, String pw, String rName)` Deprecated. Compares the equality of a T3User with an ID, a password, and a realm name.
`Vector` | `getCertificates()` Deprecated. Returns the certificate of a T3User object.
`String` | `getUsername()` Deprecated. Returns the user name of a T3User object.
`int` | `hashCode()` Deprecated.
`T3User` | `password(String val)` Deprecated. Sets the password of a T3User.
`T3User` | `username(String val)` Deprecated. Sets the username of a T3User.

Methods inherited from class weblogic.security.acl.DefaultUserInfoImpl
`equalsInAllButName, getName, getPassword, getRealmName, hasCertificates, hasPassword, setCredential, setName, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### GUEST

    public static final T3User GUEST

  Deprecated.
  A default T3User.

Constructor Detail

### T3User

    public T3User()

  Deprecated.
  Constructs an empty T3User object and initializes all its variables to empty strings.

### T3User

    public T3User(String username,
                  String password)

  Deprecated.
  Constructs a T3User with the specified username and password.

  Parameters:
    `username` - Username for this T3User
    `password` - Password for this T3user

### T3User

    public T3User(Certificate c)

  Deprecated.
  Constructs a T3User with the specified certificate.

  Parameters:
    `c` - Certificate for this T3User

Method Detail

### username

    public T3User username(String val)

  Deprecated.
  Sets the username of a T3User.

  Parameters:
    `val` - String user name
  Returns:
    T3User object

### password

    public T3User password(String val)

  Deprecated.
  Sets the password of a T3User.

  Parameters:
    `val` - String password
  Returns:
    T3User object

### getUsername

    public String getUsername()

  Deprecated.
  Returns the user name of a T3User object.

  Returns:
    String username

### getCertificates

    public Vector getCertificates()

  Deprecated.
  Returns the certificate of a T3User object.

  Overrides:
    `getCertificates` in class `DefaultUserInfoImpl`
  Returns:
    Vector of X509 certificates

### equals

    public boolean equals(Object that)

  Deprecated.
  Checks password equality between this T3User and the specified object (that T3User). Certificates are not checked in this method. If the argument is not a T3User object, the method returns false.

  Specified by:
    `equals` in interface `Principal`
  Overrides:
    `equals` in class `DefaultUserInfoImpl`
  Parameters:
    `that` - Object that is a T3User
  Returns:
    true if the password, ID, and realm name all match

### equals

    public boolean equals(String otherId,
                          String pw,
                          String rName)

  Deprecated.
  Compares the equality of a T3User with an ID, a password, and a realm name.

  Parameters:
    `otherId` - T3User id
    `pw` - T3User password
    `rName` - T3User realmName
  Returns:
    true if the password, ID, and realm name all match

### hashCode

    public int hashCode()

  Deprecated.
  Specified by:
    `hashCode` in interface `Principal`
  Overrides:
    `hashCode` in class `DefaultUserInfoImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD